/**
 * 微信消息 发送历史
 * 2018/4/20 by liufang
 */
$(function () {
	var tpl = {
		"detailTpl": '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-wx-con">\
					<div class="title-wp">\
						<span>消息详情</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-wx-wp clearfloat">\
						<div class="dialog-temp-wp clearfloat">\
							<span class="temp-part">公众号：<span><%=data3.name%></span></span>\
							<span class="temp-part">消息模板：<span><%=data4.name%></span></span>\
							\
						</div>\
						<ul class="dialog-wx-list">\
							<% for(var i=0;i<data2.length;i++){%>\
							<li class="dialog-wx-item clearfloat">\
								<span class="w-i-tips"><%=data2[i].name%></span>\
								<input type="text" class="w-i-input" readonly value="<%=data2[i].value%>"/>\
							</li>\
							<%}%>\
						</ul>\
					</div>\
				</div>\
			</div>	'
	}
	var appSend = {
		init: function () {
			this.render();
			this.bindEvent();
		},
		render: function () {
			this.rendertable();

		},
		bindEvent: function () {
			var _this = this;
			layui.use('laydate', function () {
				var laydate = layui.laydate;

				laydate.render({
					elem: '#c_startTime' //提交开始时间

				});
				laydate.render({
					elem: '#c_endTime' //提交结束时间

				});
				laydate.render({
					elem: '#a_startTime' //审核开始时间

				});
				laydate.render({
					elem: '#a_endTime' //审核结束时间

				});
			});
			//重置
			$(".set-btn").on("click", function () {
				$("#conditionform input").val("");
				$("#conditionform select").val("")
			})
		},
		rendertable: function () {
			var _this = this;
			layui.use('table', function () {
				var table = layui.table;

				//方法级渲染
				table.render({
					elem: '#LAY_table_user',
					url: $("#contextPath").val() + "/notice/wxtemplateMessage/getList"
					 ,skin: 'nob' //行边框风格
			    		  ,even: true //开启隔行背景
			    		  ,size: 'lg' //小尺寸的表格
					,cols: [
						[ {
                            title: '序号',
                            templet: '#indexTpl',
                            width: 80
                        } ,{
							field: 'createTime',
							title: '时间',
							minWidth: 200
						}, {
							field: 'title',
							title: '标题',
							minWidth: 200
						}, {
							field: 'name',
							title: '发布公众号',
							minWidth: 200
						}, {
							field: 'fullName',
							title: '编辑人',
							width: 120
						}, {
							field: 'state',
							title: '发布状态',
							width: 100,
							templet: function (data) {
								if (data.state == 0) {
									return "<span class='red'>未审核<span>"
								} else if (data.state == 1) {
									return '已发布'
								} else if (data.state == 2) {
									return '已驳回'
								} else if (data.state == 3) {
									return '原文链接'
								}
							}
						}, {
							field: 'approval_user',
							title: '审核人',
							width: 120
						}, {
							field: 'approval_time',
							title: '审核时间',
							minWidth: 200
						}, {
							field: 'id',
							title: '详情',
							width: 120,
							templet: function (data) {
								return "<span data-id=" + data.id + " class='check-blue-btn'>查看详情<span>"
							}
						}]
					],
					id: 'testReload',
					page: true,
					response: {
						statusName: 'code' //数据状态的字段名称，默认：code
							,
						statusCode: 200 //成功的状态码，默认：0
							,
						countName: "count" //数据总数的字段名称，默认：count
							,
						dataName: "data" //数据列表的字段名称，默认：data
					},
					done: function (res, curr, count) {
						//如果是异步请求数据方式，res即为你接口返回的信息。
						$(".check-blue-btn").on("click", function () {
							var id = $(this).data("id")

							//显示详情弹窗
							_this.showDetailDialog(id)
						})
					}
				});
				//查询
				$('#conditionform  .search-btn').on('click', function () {
					table.reload('testReload', {
						where: { //设定异步数据接口的额外参数，任意设
							 "c_beginTime": $("#c_startTime").val(),
							    "c_endTime": $("#c_endTime").val(),
							    "a_beginTime": $("#a_startTime").val(),
							    "a_endTime": $("#a_endTime").val(),
							"state": $("#state").val(),
                            "orgId": $("#orgId").val()
						},
						page: {
							curr: 1 //重新从第 1 页开始
						}
					});
				});
				//状态筛选
				$(".filter-btn-item").on("click", function () {
					$(this).addClass("active").siblings().removeClass("active");
					table.reload('testReload', {
						where: { //设定异步数据接口的额外参数，任意设
							 "c_beginTime": $("#c_startTime").val(),
							    "c_endTime": $("#c_endTime").val(),
							    "a_beginTime": $("#a_startTime").val(),
							    "a_endTime": $("#a_endTime").val(),
							"state": $("#state").val(),
                            "orgId": $("#orgId").val()
						},
						page: {
							curr: 1 //重新从第 1 页开始
						}
					});
				})
			});
		},
		/**
		 * 显示详情弹窗
		 * @param id
		 */
		showDetailDialog: function (id) {
			var _this = this;
			_this.ajaxDetail(id, function (data) {
				$("body").append(template.render(tpl.detailTpl)(data));
				//关闭弹窗
				$(".close-btn").on("click", function () {
					$(".dialog-wp").remove();
				})
			})

		},
		ajaxDetail: function (id, callback) {
			var _this = this;
			$.ajax({
				type: "post",
				url: $("#contextPath").val() + "/notice/wxtemplateMessage/getDetail",
				data: {
					"id": id
				},
				success: function (data) {
					var data = JSON.parse(data);
					if (data.code == 200) {
						callback(data.data);
					} else {
						layer.msg(data.msg)
					}
				},
				error: function (error) {
					layer.msg('error')
				}
			});
		}
	};
	appSend.init();
})